{ pkgs
, lib
, config
, modulesPath
, ... }: {
  global = {
    id = "d40d05288c1544af94e534eab24768fc";
    fs.esp.uuid = "6CEB-765A";
    fs.type = "xfs";
    fs.store = "b80e8bbe-d1ff-4d2e-ae25-9e9048d67355";
    boot.lanzaboote = true;
    gpu.enable = true;
    gpu.type = "nvidia";
    android.enable = true;
  };

  home = {
    gnome.enable = true;
    gyroflow.enable = true;
    jetbrains.enable = true;
    vscode.enable = true;
    libreoffice.enable = true;
    minecraft.enable = true;
    steam.enable = true;
  };

  imports = lib.pipe ./. [
    builtins.readDir
    (lib.filterAttrs (n: ty: ty == "regular" && n != "default.nix"))
    (lib.mapAttrsToList (n: _: ./${n}))
  ] ++ [ (modulesPath + "/profiles/qemu-guest.nix") ];

  boot.initrd.availableKernelModules = [ "ahci" "xhci_pci" "virtio_pci" "usbhid" "sr_mod" "virtio_blk" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-amd" ];
  boot.extraModulePackages = [ ];
}
